aboutsummaryrefslogtreecommitdiff
path: root/config
diff options
context:
space:
mode:
Diffstat (limited to 'config')
-rw-r--r--config/p10k-classic.zsh2
-rw-r--r--config/p10k-lean-8colors.zsh2
-rw-r--r--config/p10k-lean.zsh2
-rw-r--r--config/p10k-pure.zsh2
-rw-r--r--config/p10k-rainbow.zsh2
-rw-r--r--config/p10k-robbyrussell.zsh2
6 files changed, 6 insertions, 6 deletions
diff --git a/config/p10k-classic.zsh b/config/p10k-classic.zsh
index 12ba3c0b..459c243b 100644
--- a/config/p10k-classic.zsh
+++ b/config/p10k-classic.zsh
@@ -20,7 +20,7 @@
unset -m '(POWERLEVEL9K_*|DEFAULT_USER)~POWERLEVEL9K_GITSTATUS_DIR'
# Zsh >= 5.1 is required.
- autoload -Uz is-at-least && is-at-least 5.1 || return
+ [[ $ZSH_VERSION == (5.<1->*|<6->.*) ]] || return
# The list of segments shown on the left. Fill it with the most important segments.
typeset -g POWERLEVEL9K_LEFT_PROMPT_ELEMENTS=(
diff --git a/config/p10k-lean-8colors.zsh b/config/p10k-lean-8colors.zsh
index 6eaa6564..8157875a 100644
--- a/config/p10k-lean-8colors.zsh
+++ b/config/p10k-lean-8colors.zsh
@@ -20,7 +20,7 @@
unset -m '(POWERLEVEL9K_*|DEFAULT_USER)~POWERLEVEL9K_GITSTATUS_DIR'
# Zsh >= 5.1 is required.
- autoload -Uz is-at-least && is-at-least 5.1 || return
+ [[ $ZSH_VERSION == (5.<1->*|<6->.*) ]] || return
# The list of segments shown on the left. Fill it with the most important segments.
typeset -g POWERLEVEL9K_LEFT_PROMPT_ELEMENTS=(
diff --git a/config/p10k-lean.zsh b/config/p10k-lean.zsh
index 6b14d3d4..90953751 100644
--- a/config/p10k-lean.zsh
+++ b/config/p10k-lean.zsh
@@ -20,7 +20,7 @@
unset -m '(POWERLEVEL9K_*|DEFAULT_USER)~POWERLEVEL9K_GITSTATUS_DIR'
# Zsh >= 5.1 is required.
- autoload -Uz is-at-least && is-at-least 5.1 || return
+ [[ $ZSH_VERSION == (5.<1->*|<6->.*) ]] || return
# The list of segments shown on the left. Fill it with the most important segments.
typeset -g POWERLEVEL9K_LEFT_PROMPT_ELEMENTS=(
diff --git a/config/p10k-pure.zsh b/config/p10k-pure.zsh
index 566c030d..97c1a207 100644
--- a/config/p10k-pure.zsh
+++ b/config/p10k-pure.zsh
@@ -29,7 +29,7 @@
unset -m '(POWERLEVEL9K_*|DEFAULT_USER)~POWERLEVEL9K_GITSTATUS_DIR'
# Zsh >= 5.1 is required.
- autoload -Uz is-at-least && is-at-least 5.1 || return
+ [[ $ZSH_VERSION == (5.<1->*|<6->.*) ]] || return
# Prompt colors.
local grey=242
diff --git a/config/p10k-rainbow.zsh b/config/p10k-rainbow.zsh
index a72fa65f..2f13370b 100644
--- a/config/p10k-rainbow.zsh
+++ b/config/p10k-rainbow.zsh
@@ -20,7 +20,7 @@
unset -m '(POWERLEVEL9K_*|DEFAULT_USER)~POWERLEVEL9K_GITSTATUS_DIR'
# Zsh >= 5.1 is required.
- autoload -Uz is-at-least && is-at-least 5.1 || return
+ [[ $ZSH_VERSION == (5.<1->*|<6->.*) ]] || return
# The list of segments shown on the left. Fill it with the most important segments.
typeset -g POWERLEVEL9K_LEFT_PROMPT_ELEMENTS=(
diff --git a/config/p10k-robbyrussell.zsh b/config/p10k-robbyrussell.zsh
index a4cb8b2d..a59e222b 100644
--- a/config/p10k-robbyrussell.zsh
+++ b/config/p10k-robbyrussell.zsh
@@ -24,7 +24,7 @@
unset -m '(POWERLEVEL9K_*|DEFAULT_USER)~POWERLEVEL9K_GITSTATUS_DIR'
# Zsh >= 5.1 is required.
- autoload -Uz is-at-least && is-at-least 5.1 || return
+ [[ $ZSH_VERSION == (5.<1->*|<6->.*) ]] || return
# Left prompt segments.
typeset -g POWERLEVEL9K_LEFT_PROMPT_ELEMENTS=(prompt_char dir vcs)